Package org.opensaml.xacml.policy

# Interface PolicyType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `PolicyTypeImpl`

public interface PolicyType extends XACMLObject
XACML Policy schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element Policy.
`static final QName`
`DEFAULT_ELEMENT_NAME`
QName of the element Policy.
`static final String`
`POLICY_ID_ATTRIB_NAME`
PolicyId attribute name.
`static final String`
`RULE_COMBINING_ALG_ID_ATTRIB_NAME`
RuleCombiningAlgId attribute name.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.
`static final String`
`VERSION_ATTRIB_NAME`
Version attribute name.
`static final String`
`VERSION_DEFAULT_VALUE`
Version default value.

## Method Summary

Modifier and Type
Method
Description
`List<CombinerParametersType>`
`getCombinerParameters()`
Gets the combiner parameters for this policy.
`DescriptionType`
`getDescription()`
Gets the description for this policy.
`ObligationsType`
`getObligations()`
Gets the obligations of this policy.
`DefaultsType`
`getPolicyDefaults()`
Gets the defaults for this policy.
`String`
`getPolicyId()`
Gets the ID of this policy.
`List<RuleCombinerParametersType>`
`getRuleCombinerParameters()`
Gets the rule combiner parameters for this policy.
`String`
`getRuleCombiningAlgoId()`
Gets the rule combining algorithm used with this policy.
`List<RuleType>`
`getRules()`
Gets the rules for this policy.
`TargetType`
`getTarget()`
Gets the target of this policy.
`List<VariableDefinitionType>`
`getVariableDefinitions()`
Gets the variable definition for this policy.
`String`
`getVersion()`
Gets the XACML version of this policy.
`void`
`setDescription(DescriptionType description)`
Sets the description for this policy.
`void`
`setObligations(ObligationsType obligations)`
Sets the obligations of this policy.
`void`
`setPolicyDefaults(DefaultsType defaults)`
Sets the defaults for this policy.
`void`
`setPolicyId(String id)`
Sets the ID of this policy.
`void`
`setRuleCombiningAlgoId(String id)`
Sets the rule combining algorithm used with this policy.
`void`
`setTarget(TargetType target)`
Sets the target of this policy.
`void`
`setVersion(String version)`
Sets the XACML version of this policy.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element Policy.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
QName of the element Policy.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

### POLICY_ID_ATTRIB_NAME

static final String POLICY_ID_ATTRIB_NAME
PolicyId attribute name.

See Also:
  - Constant Field Values

### VERSION_ATTRIB_NAME

static final String VERSION_ATTRIB_NAME
Version attribute name.

See Also:
  - Constant Field Values

### VERSION_DEFAULT_VALUE

static final String VERSION_DEFAULT_VALUE
Version default value.

See Also:
  - Constant Field Values

### RULE_COMBINING_ALG_ID_ATTRIB_NAME

static final String RULE_COMBINING_ALG_ID_ATTRIB_NAME
RuleCombiningAlgId attribute name.

See Also:
  - Constant Field Values

## Method Details

### getDescription

DescriptionType getDescription()
Gets the description for this policy.

Returns:
  description for this policy

### setDescription

void setDescription(DescriptionType description)
Sets the description for this policy.

Parameters:
  `description` - description for this policy

### getPolicyDefaults

DefaultsType getPolicyDefaults()
Gets the defaults for this policy.

Returns:
  defaults for this policy

### setPolicyDefaults

void setPolicyDefaults(DefaultsType defaults)
Sets the defaults for this policy.

Parameters:
  `defaults` - defaults for this policy

### getTarget

TargetType getTarget()
Gets the target of this policy.

Returns:
  target of this policy

### setTarget

void setTarget(TargetType target)
Sets the target of this policy.

Parameters:
  `target` - target of this policy

### getCombinerParameters

List<CombinerParametersType> getCombinerParameters()
Gets the combiner parameters for this policy.

Returns:
  combiner parameters for this policy

### getRuleCombinerParameters

List<RuleCombinerParametersType> getRuleCombinerParameters()
Gets the rule combiner parameters for this policy.

Returns:
  rule combiner parameters for this policy

### getVariableDefinitions

List<VariableDefinitionType> getVariableDefinitions()
Gets the variable definition for this policy.

Returns:
  variable definition for this policy

### getRules

List<RuleType> getRules()
Gets the rules for this policy.

Returns:
  rules for this policy

### getObligations

ObligationsType getObligations()
Gets the obligations of this policy.

Returns:
  obligations of this policy

### setObligations

void setObligations(ObligationsType obligations)
Sets the obligations of this policy.

Parameters:
  `obligations` - obligations of this policy

### getPolicyId

String getPolicyId()
Gets the ID of this policy.

Returns:
  ID of this policy

### setPolicyId

void setPolicyId(String id)
Sets the ID of this policy.

Parameters:
  `id` - ID of this policy

### getVersion

String getVersion()
Gets the XACML version of this policy.

Returns:
  XACML version of this policy

### setVersion

void setVersion(String version)
Sets the XACML version of this policy.

Parameters:
  `version` - XACML version of this policy

### getRuleCombiningAlgoId

String getRuleCombiningAlgoId()
Gets the rule combining algorithm used with this policy.

Returns:
  rule combining algorithm used with this policy

### setRuleCombiningAlgoId

void setRuleCombiningAlgoId(String id)
Sets the rule combining algorithm used with this policy.

Parameters:
  `id` - rule combining algorithm used with this policy